org.apache.sysds.runtime.io.hdf5

## Class H5RootObject

- java.lang.Object
- - org.apache.sysds.runtime.io.hdf5.H5RootObject

-     public class H5RootObject
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `H5BufferBuilder` | `bufferBuilder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `H5RootObject()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BufferedInputStream` | `getBufferedInputStream()`
    `BufferedOutputStream` | `getBufferedOutputStream()`
    `long` | `getCol()`
    `byte` | `getDataLayoutClass()`
    `byte` | `getDataLayoutVersion()`
    `String` | `getDatasetName()`
    `byte` | `getDataSpaceVersion()`
    `int[]` | `getDimensions()`
    `byte` | `getFillValueVersion()`
    `byte` | `getGroupSymbolTableNodeVersion()`
    `byte` | `getLocalHeapVersion()`
    `long` | `getMaxCol()`
    `long` | `getMaxRow()`
    `int[]` | `getMaxSizes()`
    `byte` | `getObjectHeaderVersion()`
    `byte` | `getObjectModificationTimeVersion()`
    `int` | `getRank()`
    `long` | `getRow()`
    `H5Superblock` | `getSuperblock()`
    `ByteBuffer` | `readBufferFromAddress(long address, int length)`
    `ByteBuffer` | `readBufferFromAddressNoOrder(long address, int length)`
    `void` | `setBufferedInputStream(BufferedInputStream bufferedInputStream)`
    `void` | `setBufferedOutputStream(BufferedOutputStream bufferedOutputStream)`
    `void` | `setCol(long col)`
    `void` | `setDataLayoutClass(byte dataLayoutClass)`
    `void` | `setDataLayoutVersion(byte dataLayoutVersion)`
    `void` | `setDatasetName(String datasetName)`
    `void` | `setDataSpaceVersion(byte dataSpaceVersion)`
    `void` | `setDimensions(int[] dimensions)`
    `void` | `setFillValueVersion(byte fillValueVersion)`
    `void` | `setGroupSymbolTableNodeVersion(byte groupSymbolTableNodeVersion)`
    `void` | `setLocalHeapVersion(byte localHeapVersion)`
    `void` | `setMaxCol(long maxCol)`
    `void` | `setMaxRow(long maxRow)`
    `void` | `setMaxSizes(int[] maxSizes)`
    `void` | `setObjectHeaderVersion(byte objectHeaderVersion)`
    `void` | `setObjectModificationTimeVersion(byte objectModificationTimeVersion)`
    `void` | `setRank(int rank)`
    `void` | `setRow(long row)`
    `void` | `setSuperblock(H5Superblock superblock)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### bufferBuilder

          public H5BufferBuilder bufferBuilder

  - ### Constructor Detail

    - #### H5RootObject

          public H5RootObject()

  - ### Method Detail

    - #### readBufferFromAddress

          public ByteBuffer readBufferFromAddress(long address,
                                                  int length)

    - #### readBufferFromAddressNoOrder

          public ByteBuffer readBufferFromAddressNoOrder(long address,
                                                         int length)

    - #### getBufferedInputStream

          public BufferedInputStream getBufferedInputStream()

    - #### setBufferedInputStream

          public void setBufferedInputStream(BufferedInputStream bufferedInputStream)

    - #### getBufferedOutputStream

          public BufferedOutputStream getBufferedOutputStream()

    - #### setBufferedOutputStream

          public void setBufferedOutputStream(BufferedOutputStream bufferedOutputStream)

    - #### getSuperblock

          public H5Superblock getSuperblock()

    - #### setSuperblock

          public void setSuperblock(H5Superblock superblock)

    - #### getRow

          public long getRow()

    - #### setRow

          public void setRow(long row)

    - #### getCol

          public long getCol()

    - #### setCol

          public void setCol(long col)

    - #### getRank

          public int getRank()

    - #### setRank

          public void setRank(int rank)

    - #### getMaxRow

          public long getMaxRow()

    - #### setMaxRow

          public void setMaxRow(long maxRow)

    - #### getMaxCol

          public long getMaxCol()

    - #### setMaxCol

          public void setMaxCol(long maxCol)

    - #### getDatasetName

          public String getDatasetName()

    - #### setDatasetName

          public void setDatasetName(String datasetName)

    - #### getDimensions

          public int[] getDimensions()

    - #### getMaxSizes

          public int[] getMaxSizes()

    - #### getDataSpaceVersion

          public byte getDataSpaceVersion()

    - #### setDataSpaceVersion

          public void setDataSpaceVersion(byte dataSpaceVersion)

    - #### setDimensions

          public void setDimensions(int[] dimensions)

    - #### setMaxSizes

          public void setMaxSizes(int[] maxSizes)

    - #### getObjectHeaderVersion

          public byte getObjectHeaderVersion()

    - #### setObjectHeaderVersion

          public void setObjectHeaderVersion(byte objectHeaderVersion)

    - #### getLocalHeapVersion

          public byte getLocalHeapVersion()

    - #### setLocalHeapVersion

          public void setLocalHeapVersion(byte localHeapVersion)

    - #### getFillValueVersion

          public byte getFillValueVersion()

    - #### setFillValueVersion

          public void setFillValueVersion(byte fillValueVersion)

    - #### getDataLayoutVersion

          public byte getDataLayoutVersion()

    - #### setDataLayoutVersion

          public void setDataLayoutVersion(byte dataLayoutVersion)

    - #### getDataLayoutClass

          public byte getDataLayoutClass()

    - #### setDataLayoutClass

          public void setDataLayoutClass(byte dataLayoutClass)

    - #### getObjectModificationTimeVersion

          public byte getObjectModificationTimeVersion()

    - #### setObjectModificationTimeVersion

          public void setObjectModificationTimeVersion(byte objectModificationTimeVersion)

    - #### getGroupSymbolTableNodeVersion

          public byte getGroupSymbolTableNodeVersion()

    - #### setGroupSymbolTableNodeVersion

          public void setGroupSymbolTableNodeVersion(byte groupSymbolTableNodeVersion)

Copyright © 2021 The Apache Software Foundation. All rights reserved.